TICKIT_RECT_INTERSECTS(3)

NAME
tickit_rect_intersects - test if two rectangles intersect

SYNOPSIS
    #include <tickit.h>

    bool tickit_rect_intersects(const TickitRect *a, const TickitRect *b);

Link with -ltickit.

DESCRIPTION
tickit_rect_intersects() tests whether the two given rectangles intersect at all. It returns true if there is a non-empty rectangular region in common covered by both rectangles. tickit_rect_intersect(3) can be used to obtain this intersection as well as performing the intersection test itself.

RETURN VALUE
tickit_rect_contains() returns a boolean value.

SEE ALSO
tickit_rect_init_sized(3), tickit_rect_init_bounded(3), tickit_rect_contains(3), tickit_rect_intersect(3), tickit_rect(7), tickit(7)